#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf("%i", &n);
    int ljudi[n], grupe[n];
    long bananice[n];
    for(int i=0;i<n;i++) {
        scanf("%i %ld %i", &ljudi[i], &bananice[i], &grupe[i]);
    }
    for(int i=0;i<n;i++) {
        int ljudiugrupi = ljudi[i] / grupe[i];
        if(bananice[i] - n*ljudiugrupi*(ljudiugrupi+1)/2 - (ljudiugrupi+1)*(ljudi[i] % grupe[i]) >= 0) {
            printf("Tak\n");
        } else {
            printf("Nie\n");
        }
    }
    return 0;
}